# frekvencijske karakteristike, realan pol u 1

close all

w = logspace(-2, 2, 401);
s = j * w;

H = 1 ./ (1 + s);

h = 20 * log10(abs(H));
phi = 180 / pi * arg(H);

figure(1)

subplot(2, 1, 1)
semilogx(w, h)
axis([0.01, 100, -40, 0])
xlabel('w')
ylabel('20 log|H(jw)|')
grid()

subplot(2, 1, 2)
semilogx(w, phi)
axis([0.01, 100, -90, 0])
set(gca, 'YTick', [-90, -45, 0])
xlabel('w')
ylabel('arg(H(jw))')
grid()

print('rp1.pdf', '-dpdf')

